var _agentPriceBack=function(ret){
			$("#addagentbutton").val("提交");
			$("#addagentbutton").prop("disabled",false); 
			if(agid=="0"&&ret.indexOf("[ok]")!=-1){
				window.location.reload();
				//top.location.href="?agid="+agid;
				}
	if(ret.indexOf("[ok]")!=-1||ret.indexOf("[err]")!=-1){
		alert(ret);
		}else{
			alert(ret);
			//alert("未知错误，请重新提交");
			}
	}
var ii=0;var postStr="";var isRun=true;var idx="";
var checkSubmit=function(){
	
	var iCount=$("#agentprice input[name='id']").size();
	var maxCount=(ii+1)*10;
	var isGet=true;
	if(maxCount>=iCount) {maxCount=iCount;isGet=false;}
	//alert(iCount);
	for(i=ii*10;i<maxCount;i++){
		var id=$("#agentprice input[name=id]:eq("+i+")").val();
		for(j=1;j<6;j++){
		
		var tagentPrice=parseInt($("#agentprice #tagentPrice"+j+"_"+id).val())||0;
		var agentPrice=parseInt($("#agentprice #agentPrice"+j+"_"+id).val())||0;
		var sellPrice=parseInt($("#agentprice #sellPrice"+j+"_"+id).val())||0;
		
		if(tagentPrice>0){
			if(agentPrice<tagentPrice){
			$("#agentprice #agentPrice"+j+"_"+id).focus();
			alert("请输入价格，不能为空或者低于代理价");
			$("#addagentbutton").val("提交");
			$("#addagentbutton").prop("disabled",false); 
			return false;
				
				}

			if(agentPrice>sellPrice){
			$("#agentprice #sellPrice"+j+"_"+id).focus();
			alert("请输入价格，不能为空或者低于代理价");
			$("#addagentbutton").val("提交");
			$("#addagentbutton").prop("disabled",false); 
			return false;
				
				}

			
			}
			else{
				$("#agentprice #agentPrice"+j+"_"+id).val("0");
				$("#agentprice #sellPrice"+j+"_"+id).val("0");
				agentPrice=0;
				sellPrice=0;
				}
		
		
		
		postStr+="&agentPrice"+j+"_"+id+"="+agentPrice+"&sellPrice"+j+"_"+id+"="+sellPrice;

		if(tagentPrice>agentPrice){
			isRun=false;
			$("div#agentPriceList"+id).addClass("s");
			$("div#agentPriceList"+id).removeClass("e");
			$("#agentprice #agentPrice"+j+"_"+id).focus();
			alert("您的下级代理价格低于您的代理价格，请处理！");
			break;
			}else{
			$("div#agentPriceList"+id).addClass("e");
			$("div#agentPriceList"+id).removeClass("s");
			}


		if(agentPrice>sellPrice){
			isRun=false;
			$("div#agentPriceList"+id).addClass("s");
			$("div#agentPriceList"+id).removeClass("e");
			$("#agentprice #agentPrice"+j+"_"+id).focus();
			alert("您的下级代理价格低于他的销售价格，请处理！");
			break;
			}else{
			$("div#agentPriceList"+id).addClass("e");
			$("div#agentPriceList"+id).removeClass("s");
			}
		}
		idx+=","+id;
		if(!isRun) break;
	}
	
		if(!isRun){
				$("#addagentbutton").val("提交");
			$("#addagentbutton").prop("disabled",false);  		
			return false;
			}		
		if(isGet){
			ii++;
			setTimeout(function(){
					checkSubmit();			
					},200)
			}else{
			if(isRun){
		
					$("#addagentbutton").val("提交中");
					postStr="idx=0"+idx+postStr+"&myAgentPriceMode="+escape($("#myAgentPriceMode").val());
	
					getPost("/api/llsapi.asp?apiAction=EditMyAgentPrice&agid="+agid,postStr,"_agentPriceBack");
		
				}		
				}
	}
var addperform=function(){
	var iCount=$("#agentprice input[name='id']").size();
	var maxCount=(ii+1)*10;
	var isGet=true;
	if(maxCount>=iCount) {maxCount=iCount;isGet=false;}
	var doadd=parseInt($("#doadd").val())||"";
	if(doadd=="") return false;
	for(i=ii*10;i<maxCount;i++){
		var id=$("#agentprice input[name=id]:eq("+i+")").val();
		for(j=1;j<6;j++){
		var agentPrice=parseInt($("#agentprice #tagentPrice"+j+"_"+id).val())||0;
		var zagentPrice=parseInt(agentPrice*(100+doadd)/100);
		
		$("#agentprice #agentPrice"+j+"_"+id).val(zagentPrice)
	}
		}
		if(isGet){
			ii++;
			setTimeout(function(){
					addperform();			
					},200)
			}else{
			alert("设置成功，请提交");				
				}
	}
var addperform2=function(){
	var iCount=$("#agentprice input[name='id']").size();
	var maxCount=(ii+1)*10;
	var isGet=true;
	if(maxCount>=iCount) {maxCount=iCount;isGet=false;}
	var doadd=parseInt($("#doadd").val())||"";
	if(doadd=="") return false;
	for(i=ii*10;i<maxCount;i++){
		var id=$("#agentprice input[name=id]:eq("+i+")").val();
		for(j=1;j<6;j++){
		var zsellPrice=$("#agentprice #tsellPrice"+j+"_"+id).val()
		if(id==715){alert(zsellPrice);}
		$("#agentprice #sellPrice"+j+"_"+id).val(zsellPrice)
	}
		}
		if(isGet){
			ii++;
			setTimeout(function(){
					addperform2();			
					},200)
			}else{
			alert("设置成功，请提交");				
				}
	}	
$(function(){
		   
		$("input[name=addagentbutton]").prop("disabled",false);  
		$("#agentprice").unbind("submit");
		$("#agentprice").submit(function(){
			idx="";
			postStr="";
			isRun=true;
			ii=0;
			var myAgentPriceMode=$("#myAgentPriceMode").val()||"";
			if(myAgentPriceMode==""){
				alert("请先输入您的代理名称！");$("#myAgentPriceMode").focus();return false;
				}
			$("#addagentbutton").val("检查中，请稍候");
			$("#addagentbutton").prop("disabled",true);  
			checkSubmit();
					
										 return false;
										 })
										 
		$("a#addperform").click(function(){
			idx="";
			postStr="";
			isRun=true;
			ii=0;
			addperform();	 
			return false;
			 })
		$("a#addperform2").click(function(){
			idx="";
			postStr="";
			isRun=true;
			ii=0;
			addperform2();	 
			return false;
			 })				
		   })